JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const blueprintBuildLogsListView = await client.blueprints.logs('id');
console.log(blueprintBuildLogsListView.blueprint_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
blueprint_build_logs_list_view = client.blueprints.logs(
"id",
)
print(blueprint_build_logs_list_view.blueprint_id)curl --request GET \
--url https://api.runloop.ai/v1/blueprints/{id}/logs \
--header 'Authorization: Bearer <token>'
{
"blueprint_id": "<string>",
"logs": [
{
"level": "<string>",
"timestamp_ms": 123,
"message": "<string>"
}
]
}Blueprint
Get Blueprint build logs.
Get all logs from the building of a Blueprint.
GET
/
v1
/
blueprints
/
{id}
/
logs
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const blueprintBuildLogsListView = await client.blueprints.logs('id');
console.log(blueprintBuildLogsListView.blueprint_id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
blueprint_build_logs_list_view = client.blueprints.logs(
"id",
)
print(blueprint_build_logs_list_view.blueprint_id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Blueprint
Was this page helpful?
⌘I
